import time
import copy
import yaml
import requests
import json
import os
from collections import namedtuple
from datetime import datetime
from dotenv import load_dotenv

# Load .env file
load_dotenv()

# Load configurations from .env
MY_AGENT = os.getenv('MY_AGENT')
MY_APP = os.getenv('MY_APP')
MY_SEC = os.getenv('MY_SEC')
MY_ACCT_STOCK = os.getenv('MY_ACCT_STOCK')
MY_ACCT_FUTURE = os.getenv('MY_ACCT_FUTURE')
MY_PROD = os.getenv('MY_PROD')
PROD_URL = os.getenv('PROD_URL')

# Directory where token file will be stored
config_root = r'C:\Users\user\KIS\config\\'
token_file = os.path.join(config_root, 'token.json')

# Ensure the directory exists
os.makedirs(config_root, exist_ok=True)

def save_token(token_data):
    """
    Save token data to a JSON file.
    """
    with open(token_file, 'w') as file:
        json.dump(token_data, file)
    print(f"Token saved to {token_file}")

def get_token():
    """
    Function to request a new token. This is a placeholder for the actual implementation.
    """
    # Simulating a token request
    response = {
        "access_token": "new_access_token",
        "token_type": "Bearer",
        "expires_in": 3600,
        "refresh_token": "new_refresh_token"
    }
    return response

# Get a new token
new_token = get_token()

# Save the new token to the file, overwriting any existing token
save_token(new_token)
