
import backtrader as bt
from strategy import MovingAverageStrategy
from optimized_strategy import OptimizedStrategy

def backtest_strategy(data, strategy_class):
    cerebro = bt.Cerebro()
    cerebro.addstrategy(strategy_class)
    cerebro.adddata(data)
    cerebro.run()
    cerebro.plot()

def run_backtests(data):
    strategies = [MovingAverageStrategy, OptimizedStrategy]
    for strategy in strategies:
        backtest_strategy(data, strategy)
