class Portfolio:
    def __init__(self, initial_cash):
        self.cash = initial_cash
        self.holdings = {}

    def buy(self, stock, price, amount):
        total_cost = price * amount
        if self.cash >= total_cost:
            self.cash -= total_cost
            if stock in self.holdings:
                self.holdings[stock] += amount
            else:
                self.holdings[stock] = amount
            print(f"Bought {amount} shares of {stock} at {price}, total cost {total_cost}")
        else:
            print("Not enough cash to buy")

    def sell(self, stock, price, amount):
        if stock in self.holdings and self.holdings[stock] >= amount:
            self.holdings[stock] -= amount
            self.cash += price * amount
            print(f"Sold {amount} shares of {stock} at {price}, total value {price * amount}")
        else:
            print("Not enough shares to sell")

    def print_portfolio(self):
        print(f"Cash: {self.cash}")
        print("Holdings:")
        for stock, amount in self.holdings.items():
            print(f"{stock}: {amount} shares")
