
import schedule
import time
from app import fetch_and_save_stock_data
from utils import preprocess_stock_data, analyze_stock_data
from backtester import run_backtests
import backtrader as bt

def job():
    file_name = fetch_and_save_stock_data('005930', '20220101', '20220131')
    df = preprocess_stock_data(file_name)
    analyze_stock_data(df)
    data = bt.feeds.PandasData(dataname=df)
    run_backtests(data)

schedule.every().day.at("18:00").do(job)

while True:
    schedule.run_pending()
    time.sleep(1)
